Help - Search - Members - Calendar
Full Version: MP3 Player for OZ 3.5.1
OESF Forums > General Forums > General Support and Discussion > Software
drsaxman
I've tried various configurations, but no luck getting either xmms or opie-player2 loaded. I tried to load the libsdl library, but it says I don't have qpe. I try and install xmms and it says I don't have libsdl. I try and install opie-player, and it says I don't have opie-minimal. Anyone have any suggestions on what I should be trying next?

Thanks
lardman
I've installed opie-player2 without troubles. Not sure whether it works yet though.

If you still get the opie-minimal dependency try -force-depends as I assume you have opie installed.


Si
drsaxman
Was there a specific place that you got the feed from? I tried to install opie-player 2 with force depends, and it did not go so well for me.
lardman
The official one:

http://www.openzaurus.org/official/unstable/3.5.1/feed/

If you still have troubles post the error message.


Si
drsaxman
Just for clarification, I have OZ 3.5.1 on an SL-5500.

I upload the following files:
opie-mediaplayer2_1.1.6-r0_arm.ipk
opie-mediaplayer2-skin-techno_1.1.6-cvs-20040915-r0_arm.ipk
opie-mediaplayer2-skin-pod_1.1.6-cvs-20040915-r0_arm.ipk
opie-mediaplayer2-skin-default_1.1.6-cvs-20040915-r0_arm.ipk
opie-mediaplayer2-skin-default-landscape_1.1.6-cvs-20040915-r0_arm.ipk

I go into apkg manager, and select all of the packages and go into options and select "Force Depends."

The packages install but no shortcut is placed on the desktop. Do I need to do that manually?
The output of the install is:
Dealing with package /root/Documents/application/ipkg/opie-mediaplayer2_1.1.6-r0_arm.ipk
Warning: Cannot satisfy the following dependencies for opie-mediaplayer2:
opie-mediaplayer2-skin libxine1 (>= 1.0.0-beta12)

Creating symbolic links for /root/Documents/application/ipkg/opie-mediaplayer2_1.1.6-r0_arm.ipk.
Finished

Dealing with package /root/Documents/application/ipkg/opie-mediaplayer2-skin-default_1.1.6-cvs-20040915-r0_arm.ipk

Creating symbolic links for /root/Documents/application/ipkg/opie-mediaplayer2-skin-default_1.1.6-cvs-20040915-r0_arm.ipk.
Finished

Dealing with package /root/Documents/application/ipkg/opie-mediaplayer2-skin-default-landscape_1.1.6-cvs-20040915-r0_arm.ipk
*** Command: add
*** Locating package
*** Found package on /mnt/ram
*** Adding opie-mediaplayer2-skin-default

Creating symbolic links for /root/Documents/application/ipkg/opie-mediaplayer2-skin-default-landscape_1.1.6-cvs-20040915-r0_arm.ipk.
Finished

Dealing with package /root/Documents/application/ipkg/opie-mediaplayer2-skin-pod_1.1.6-cvs-20040915-r0_arm.ipk
*** Command: add
*** Locating package
*** Found package on /mnt/ram
*** Adding opie-mediaplayer2-skin-default-landscape

Creating symbolic links for /root/Documents/application/ipkg/opie-mediaplayer2-skin-pod_1.1.6-cvs-20040915-r0_arm.ipk.
Finished

Dealing with package /root/Documents/application/ipkg/opie-mediaplayer2-skin-techno_1.1.6-cvs-20040915-r0_arm.ipk
*** Command: add
*** Locating package
*** Found package on /mnt/ram
*** Adding opie-mediaplayer2-skin-pod

Creating symbolic links for /root/Documents/application/ipkg/opie-mediaplayer2-skin-techno_1.1.6-cvs-20040915-r0_arm.ipk.
Finished

*** Command: add
*** Locating package
*** Found package on /mnt/ram
*** Adding opie-mediaplayer2-skin-techno
*** Done.

Symbolic linking succeeded.

I can see all the packages under "installed packages" but I can't seem to get any of them to run.

Thanks for your help. I'm not sure why I'm having such a hard time installing applications
lardman
QUOTE
Warning: Cannot satisfy the following dependencies for opie-mediaplayer2:
opie-mediaplayer2-skin libxine1 (>= 1.0.0-beta12)


Did you install libxine, you need to?

There's no icon for opie-mediaplayer2 at the moment (it wasn't included in the ipk), and it looks like it segfaults anyway when you try to play things (I just tried for the first time)

Another option is mp3blaster, but I get an error when I try to run it:
Error opening terminal: Linux

Not sure what this is all about.

Try xmms: http://www.oesf.org/forums/inde...?showtopic=7313


Si
drsaxman
Thanks for the tip. XMMS is working beautifully.
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.